import request from '@/utils/request'

// pc端固定客户端授权id
const clientId = 'e5cd7e4891bf95d1d19206ce24a7b32e';

// 登录方法
export function login(tenantId,username, password, code, uuid) {
  const params = {
    tenantId,
    username,
    password,
    code,
    uuid,
    clientId: clientId,
    grantType: 'password'
  }
  return request({
    url: '/login',
    headers: {
      isToken: false
    },
    method: 'post',
    data: params
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}
